View Issue Details

IDProjectCategoryView StatusLast Update
0003559SOGoWeb Preferencespublic2016-03-24 09:24
Reporterinty Assigned Toludovic  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.3.8 
Fixed in Version3.1.0 
Summary0003559: Missing strings from swedish localization causes "NAME:NSRangeException REASON:Index 19 is out of range 19" on preferences
Description

This is the full error from sogo.log

EXCEPTION: <NSException: 0x7fe615c52450> NAME:NSRangeException REASON:Index 19 is out of range 19 (in 'objectAtIndex:') INFO:{Array = (Arbete, Diverse, Favoriter, "F\U00F6delsedagar", Helgdagar, "Id\U00E9er", Kunder, Ledighet, "Leverant\U00F6rer", Personligt, Presenter, Projekt, "M\U00F6te", Resor, Status, Telefonsamtal, "T\U00E4vlingar", "Uppf\U00F6ljning", "\U00C4renden"); Count = 19; Index = 19; }

I'm guessing this is caused by missing strings in https://github.com/inverse-inc/sogo/blob/master/UI/PreferencesUI/Swedish.lproj/Localizable.strings#L143

The English one has 22 and the Swedish only 19...

TagsNo tags attached.

Activities

francis

francis

2016-03-02 10:06

administrator   ~0009621

Could you please join the Swedish translation team on Transifex and update the problematic string? It's in the UI/SchedulerUI resource group. The English text is as follow:

Anniversary,Birthday,Business,Calls,Clients,Competition,Customer,Favorites,Follow up,Gifts,Holidays,Ideas,Meeting,Issues,Miscellaneous,Personal,Projects,Public Holiday,Status,Suppliers,Travel,Vacation

Instructions to join Transifex is in our FAQ:

http://sogo.nu/nc/support/faq/article/how-to-translate-sogo-in-another-language-2.html

Thanks!

inty

inty

2016-03-03 05:29

reporter   ~0009625

Ok, I'll see what I can do!

inty

inty

2016-03-03 05:34

reporter   ~0009626

The transifex.net link you have there should maybe be updated to the .com? There's an expired cert on that site... sort of confusing for newcomers.

francis

francis

2016-03-03 13:56

administrator   ~0009631

I've updated the links. Thanks!

inty

inty

2016-03-07 08:47

reporter   ~0009646

There, I think I managed to add a new translation for it!

ludovic

ludovic

2016-03-24 09:19

administrator   ~0009836

Still relevant?

inty

inty

2016-03-24 09:24

reporter   ~0009837

Seems fixed in nightly at least (I'm running 2.3.9.20160322-1). So I guess this can be closed.

Issue History

Date Modified Username Field Change
2016-03-02 05:14 inty New Issue
2016-03-02 10:06 francis Note Added: 0009621
2016-03-03 05:29 inty Note Added: 0009625
2016-03-03 05:34 inty Note Added: 0009626
2016-03-03 13:56 francis Note Added: 0009631
2016-03-07 08:47 inty Note Added: 0009646
2016-03-24 09:19 ludovic Note Added: 0009836
2016-03-24 09:24 inty Note Added: 0009837
2016-03-24 09:24 ludovic Status new => resolved
2016-03-24 09:24 ludovic Fixed in Version => 3.1.0
2016-03-24 09:24 ludovic Resolution open => fixed
2016-03-24 09:24 ludovic Assigned To => ludovic